Please upgrade here. These earlier versions are no longer being updated and have security issues.
HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.

[Solved] DateUpdated is required.

w442w442 New
edited October 2013 in Vanilla 2.0 - 2.8

Hello everyone, I appreciate all the help the community provides. I searched high and low for anyone with this same problem, I apologize if I missed the answer or if it's obvious.

I updated to 2.1b2 and everything went smoothly. However, when I try to post a new discussion (or question latest version of Q&A installed) I get a red banner over the form stating:
"DateUpdated is required." And of course the discussion does not post. Any ideas on how to fix this?
Thank you,

Tagged:

Comments

  • Welcome to the community! What version of Vanilla did you upgrade to 2.1b2 from?

    Please try disabling the Q&A plugin and see if it fixes it. If it doesn't, please go to the page index.php?p=utility/update and run the script at index.php?p=utility/structure and let us know if this fixes it.

    Add Pages to Vanilla with the Basic Pages app

    hgtonightUnderDog
  • Thanks for the reply. I ran the scripts previously, but also ran them again. Still have the same issue. It also appears to happen whether Q&A plugin is enabled or disabled.
    I upgraded from 2.0.18.8. I am also hosting this online (Bluehost) it is not a local install, I'm just trying to think of all the possibilities. Thanks!

  • Just wanted to add, I have also tried disabling all plugins. The problem still exists.

  • Okay, sorry to keep posting, I am wanting to give more info as I find it so I can hopefully be more helpful in asking for your help :)

    I also cannot comment at this time on previously started discussion and it gives me this error message:
    Unknown column 'FirstCommentID' in 'field list'|Gdn_Database|Query|update GDN_Discussion Discussion set QnA = :QnA, DateLastComment = :DateLastComment, FirstCommentID = :FirstCommentID, LastCommentID = :LastCommentID, CountComments = :CountComments where DiscussionID = :DiscussionID

    Anyways - I also deleted and installed it in a new location and database. (I didnt end up dumping my database tables however, not sure if that will work or not)

  • That last error you posted indicate something is wrong with your database schema.

    What is the output of /utility/structure?

    Search first

    Check out the Documentation! We are always looking for new content and pull requests.

    Click on insightful, awesome, and funny reactions to thank community volunteers for their valuable posts.

    UnderDog
  • Although I haven't found anyone with this problem in all my searching I figure I'd post this solution, and I sincerely appreciate the responses for help!

    Good news/Bad news situation. The good news definitely outweighs the latter. I got the situation resolved, just had to delete vanilla totally, including dropping the tables. Now everything appears to be working fine.

    UnderDog
  • I just did an update - well new install / import and I am hitting this exact issue now so you were not totally alone @w442

    UnderDog
  • Also wanted to add the suggestions from @Shadowdare worked like a charm! Thanks :)

    UnderDogShadowdarehgtonight
  • @Shadowdare Yes that fixes it. Thanks

  • @Shadowdare Yes that fixes it. Thanks

Sign In or Register to comment.